rte_tm_wred_params(3)

NAME
rte_tm_wred_params

SYNOPSIS

#include <rte_tm.h>

  Data Fields

struct rte_tm_red_params red_params [RTE_COLORS]
int packet_mode

Detailed Description

Weighted RED (WRED) profile

Multiple WRED contexts can share the same WRED profile. Each leaf node with WRED enabled as its congestion management mode has zero or one private WRED context (only one leaf node using it) and/or zero, one or several shared WRED contexts (multiple leaf nodes use the same WRED context). A private WRED context is used to perform congestion management for a single leaf node, while a shared WRED context is used to perform congestion management for a group of leaf nodes.

See also
    struct rte_tm_capabilities::cman_wred_packet_mode_supported

    struct rte_tm_capabilities::cman_wred_byte_mode_supported

Definition at line 994 of file rte_tm.h.

Field Documentation

  struct rte_tm_red_params red_params[RTE_COLORS]
One set of RED parameters per packet color

Definition at line 996 of file rte_tm.h.

  int packet_mode
When non-zero, the min_th and max_th thresholds are specified in packets (WRED packet mode). When zero, the min_th and max_th thresholds are specified in bytes (WRED byte mode)

Definition at line 1002 of file rte_tm.h.

Author

Generated automatically by Doxygen for DPDK from the source code.